@charset "utf-8";

:root {
    --base-color: #FFFFFF;
    --text-color: #1E1F21;
} 


/* 要素全部にアウトライン（はみ出し確認用）*/
/* * {
    outline: 1px solid #eb5757; 
} */


/*--------------------------------
 全体
---------------------------------*/
html {
    /* スムーズスクロール ページ内移動をゆったりと*/
    scroll-behavior: smooth;
    /* ビヨヨン効果を無効化する */
    overscroll-behavior: none;
    /* font size 基準16px → 10px */
    /*font-size: 62.5%;   1rem=10px 16px*0.625=10px */
    overflow-x: hidden; /* はみ出す部分を非表示 */
}

body {
    font-family: "Noto Sans JP", sans-serif;
    font-size: 16px;
    color: var(--text-color);
    background-color: var(--base-color);
    margin: 0;
    overflow-x: hidden; /* はみ出す部分を非表示 */
}
body * {
    box-sizing: border-box;
}
section {
    overflow: hidden; /* はみ出す部分を非表示 */
}

h2 {
    margin: 0;
}

p {
    line-break: anywhere;
}

a {
    color: var(--text-color);
    text-decoration: none;
    transition: all 0.3s ease-out;
}

a:visited {
    color: inherit;
}

img {
    width: 100%;
    height: auto;
    vertical-align: middle;
}

ul {
    margin: 0;
}
ul li {
    list-style: none;
}


.sp {
    display: none;
}



/*--------------------------------
 共通パーツ
---------------------------------*/
section {
    position: relative;
}

.sec_cta_btn img {
    filter: drop-shadow(0 4px 4px #0051B3);
}

.source p {
    color: #024BA5;
    font-size: 14px;
    line-height: 1.4;
    letter-spacing: .04em;
}

.source p a {
    color: #024BA5;
    text-decoration: underline;
}



/* ボタンアニメーション */
.kiran {
  border-radius: 40px;
  /* border: 1px solid transparent; */
  position: relative;
  overflow: hidden;
}
.kiran::before {
    content: '';
    width: 30px;
    height: 100%;
    background-color: #fff;
    animation: shine 3s ease-in-out infinite;
    position: absolute;
    top: -180px;
    left: 0;
    opacity: 0;
    transform: rotate(45deg);
    z-index: 10;
}

@keyframes shine {
  0% {
    transform: scale(0) rotate(45deg);
    opacity: 0;
  }
  80% {
    transform: scale(0) rotate(45deg);
    opacity: 0.5;
  }
  81% {
    transform: scale(4) rotate(45deg);
    opacity: 1;
  }
  100% {
    transform: scale(50) rotate(45deg);
    opacity: 0;
  }
}

/*--------------------------------
 header
---------------------------------*/

#header {
    background-color: #ffffff80;
    backdrop-filter: blur(10px);
    border-radius: 6px;
    padding: 12px 24px;
    display: flex;
    align-items: center;
    gap: 42px;
    position: fixed;
    top: 14px;
    right: 40px;
    z-index: 10;
}


#header ul {
    display: flex;
    gap: 28px;
}

#header ul li {
    font-size: 15px;
    font-weight: 700;
}

#header .cta_btn {
    width: 316px;
}

#header a:hover {
    opacity: 0.7;
}


/*--------------------------------
 fv
---------------------------------*/


.fv_cta {
    width: 33%;
    position: absolute;
    left: 10%;
    bottom: 19.5%;
}
.fv_cta a {
    display: inline-block;
    position: relative;
    width: 100%;
}
.fv_cta a:hover {
    transform: scale(1.05);
}
.fv_cta .pc_fv_cta1 {
    width: 75%;
    margin: 0 auto;
    position: absolute;
    top: -35%;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1;
    filter: drop-shadow(0 4px 9px #5e5e5e40);
}
.fv_cta .pc_fv_cta2 {
    width: 100%;
    filter: drop-shadow(0 4px 9px #5e5e5e40);
}

.fv_cta2_box {
    position: relative;
}
.fv_kiran {
    position: absolute;
    left:0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 2;
}


/*--------------------------------
 voice
---------------------------------*/
#voice .voice_slide {
    position: absolute;
    top: 28%;
    left: 0;
    width: 100%;
}

.swiper {
    padding: 4% 0 6% 0;
}


.swiper-slide img {
    filter: drop-shadow(0 4px 8px #D9D9D9);
}
.swiper-slide-active {
        margin-left: 48px;
}

.swiper-slide-active img {
    transform: scale(1.2);
    transition: all 1.5s ease-out;
}
.swiper-slide-prev {
    margin-right: 48px;
}
.swiper-slide-next {
    margin-left: 48px;
}




.swiper-pagination {
    bottom: 0;
}


.swiper-pagination-bullet {
    border: 1px solid #FF522F;
    background-color: #FFF;
    width: 10px;
    height: 10px;
    margin: 0 7px;
}
.swiper-pagination-bullet-active {
    background-color: #FF522F;
}

.swiper-button-prev {
    left: 35.6%;
}
.swiper-button-next {
    right: 29.5%
}
.swiper-button-prev::after,
.swiper-button-next::after {
    content: none;
}
.swiper-button-prev img,
.swiper-button-next img {
    width: 160%;
}



/*--------------------------------
 solution
---------------------------------*/
#solution .source {
    width: 100%;
    text-align: center;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    top: 36.5%;
}




/*--------------------------------
 example
---------------------------------*/

#example .sec_cta_btn {
    width: 22%;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 8%;
}
#example .sec_cta_btn a {
    display: inline-block;
    width: 100%;
}
#example .sec_cta_btn a:hover {
    transform: scale(1.05);
}


/*--------------------------------
 result
---------------------------------*/
#result .source {
    width: fit-content;
    position: absolute;
    right: 13%;
    bottom: 10%;
}

#result .source_group {
    display: flex;
    flex-direction: column;
    gap: 12px;
}


/*--------------------------------
 cta_area1
---------------------------------*/

#cta_area1 .sec_cta_btn {
    width: 22%;
    position: absolute;
    left: 11%;
    bottom: 23%;
}
#cta_area1 .sec_cta_btn a {
    display: inline-block;
    width: 100%;
}
#cta_area1 .sec_cta_btn a:hover {
    transform: scale(1.05);
}


/*--------------------------------
 cta_area2
---------------------------------*/

#cta_area2 .sec_cta_btn {
    width: 22%;
    position: absolute;
    left: 11%;
    bottom: 23%;
}
#cta_area2 .sec_cta_btn a {
    display: inline-block;
    width: 100%;
}
#cta_area2 .sec_cta_btn a:hover {
    transform: scale(1.05);
}

/*--------------------------------
 footer
---------------------------------*/
#footer {
    background-image: url(../images/pc16.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    padding-bottom: 10px;
}

.footer_top {
    display: flex;
    justify-content: space-between;
    padding: 58px 85px 0 78px;
}

.footer_grp {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

.footer_logo {
    width: 100%;
    max-width: 220px;
}

.footer_snsbox {
    display: flex;
    gap: 20px;
    margin-top:32px;
}

.footer_snsbox a {
    display: inline-block;
    width: 30px;
}

.footer_grp ul {
    display: flex;
    gap: 32px;
    margin-bottom: 50px;
}

.footer_grp ul li a {
    font-size: 15px;
    font-weight: 700;
    color: var(--base-color);
}
.footer_cta_btn {
    width: 323px;
    margin-bottom: 160px;
}

.footer_link_box {
    display: flex;
    gap: 20px;
    margin-bottom: 40px;
}

.footer_link_box a {
    display: flex;
    align-items: center;
    font-size: 14px;
    color: var(--base-color);
    border-bottom: 1px solid var(--base-color);
}

.footer_link_box a img {
    width: 14px;
    margin-left: 4px;
}

.footer_bottom {
    background-color: #1E2428;
    border-radius: 6px;
    padding: 7px 0 8px;
    margin: 0 10px;
    text-align: center;
    font-size: 13px;
    font-weight: 500;
    color: var(--base-color);
}

#footer a:hover {
    opacity: 0.7;
}


/*=====================================
 1440px以下
=====================================*/
@media screen and (max-width: 1440px) {
    #header {
        gap: 24px;
        right: 24px;
    }
    #header ul {
        display: flex;
        gap: 16px;
    }

    #header ul li {
        font-size: 14px;
    }

    #header .cta_btn {
        width: 280px;
    }
}

/*=====================================
 1280px以下
=====================================*/
@media screen and (max-width: 1280px) {
    #header {
        gap: 16px;
        top: 8px;
        right: 16px;
    }
    #header ul {
        display: flex;
        gap: 10px;
    }

    #header ul li {
        font-size: 13px;
    }

    #header .cta_btn {
        width: 220px;
    }
}


/*=====================================
 1080px以下
=====================================*/
@media screen and (max-width: 1080px) {
    #header {
        display: none;
    }
    #result .source {
        right: auto;
        left: 50%;
        transform: translateX(-50%);
        width: 100%;
    }
    #result .source_group {
        margin: 0 auto;
        width: fit-content;
    }
}


/*=====================================
 768px以下
=====================================*/
@media screen and (max-width: 768px) {
    .pc {
        display: none;
    }
    .sp {
        display: inline-block;
    }

    .fv_cta {
        width: 84%;
        left: 50%;
        transform: translateX(-50%);
        bottom: 3%;
    }
    .fv_cta .pc_fv_cta1 {
        width: 86%;
        top: -44%;
        transform: translateX(-51%);
    }

    #solution .source {
        width: 84%;
        text-align: left;
        top: 34.8%;
    }

    #example .sec_cta_btn {
        width: 81%;
        bottom: 5.2%;
    }

    #result .source {
        width: 88%;
        bottom: 0.5%;
    }
    #result .source_group {
        gap: 0;
    }
    #result .source_group p {
        font-size: 12px;
    }

    #cta_area1 .sec_cta_btn,
    #cta_area2 .sec_cta_btn {
        width: 81%;
        left: 50%;
        transform: translateX(-50%);
        bottom: 9.5%;
    }

    #difference .difference_box {
        position: absolute;
        left: 0;
        top: 27%;
        width: 100%;
        overflow-x: scroll;
        padding-bottom: 18px;
    }
    #difference .difference_box img {
        width: 163%;
        margin-left: 3%;
    }

    #footer {
        background-image: url(../images/sp16.jpg);
        padding-bottom: 18%;
    }
    .footer_top {
        flex-direction: column;
        padding: 83px 30px 0 30px;
    }
    
    .footer_snsbox {
        gap: 24px;
        margin-top: 28px;
    }

    .footer_snsbox a {
        width: 36px;
    }

    .footer_grp {
        align-items: flex-start;
        margin-top: 60px;
    }
    .footer_logo {
        max-width: 80%;
    }
    .footer_grp ul {
        flex-direction: column;
        gap: 20px;
        margin-bottom: 48px;
    }
    .footer_cta_btn {
        width: 100%;
        margin-bottom: 120px;
    }
    .footer_link_box {
        flex-direction: column;
        margin-bottom: 68px;
    }
    .footer_link_box a {
        width: fit-content;
    }
    .footer_bottom {
        padding: 10px 0 9px;
        font-size: 10px;
    }

    #float {
        position: fixed;
        left: 0;
        bottom: 0;
        z-index: 10;
        width: 100%;
    }
    #float.hidden {
        opacity: 0;
        transform: translateY(100px); /* 下に隠す */
        pointer-events: none; /* クリック不可に */
    }


}

